Spring Boot与Spring Cloud的兼容性

我有一个在发布列车Dalston.SR4下运行的Spring Cloud配置服务器。它已经投入生产多年,为一些较旧的Spring Boot应用程序提供配置。今天,我正在尝试构建一个新的Spring Boot 2.3.0应用程序。当我的应用程序启动并尝试从配置服务器获取其配置时,配置服务器仅返回406 Not Acceptable。我可以成功浏览到我的应用尝试从中获取的配置URL,并在浏览器中看到该配置,所以我只是想知道这是否是版本兼容性的情况?

评论
She
She

就在这里!

Greenwich可以构建并与Spring Boot 2.1.x一起使用,并且不能与Spring Boot 1.5.x一起使用。      注意:Dalston发行火车将于2018年12月到期,Edgware将遵循Spring Boot 1.5.x的生命周期。      Dalston和Edgware发行列车建立在Spring Boot 1.5.x上,并且不能与Spring Boot 2.0.x一起使用。
点赞
评论